<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript">
window.addEvent('domready', function() {
    new Cubix.Button($('btn-refresh'), { onClick: function () {
		submitForm();
	}, icon: 'refresh', caption: 'Search', classes: 'mt20' });

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		submitForm();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20 mt20' });

	window.addEvent('keydown', function(event){
		if (event.key=="enter") 
		{
			$('myForm').submit();
		}
	}); 
	
	var MemberPopup = window.MemberPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	MemberPopup.addEvent('loaded', function () {
		new Picker.Date('input[name=date_expires]', { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });

		$('country').addEvent('change', function() {
			var country = this;

			$('city').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					$('city').set('html', resp);
					$('city').set('disabled', '');
				}
			}).send();
		});
		
		if ( $$('.ip-opener')[0] ){
			$$('.ip-info')[0].getElement('.ip-opener').addEvent('click', function(){
					$$('.ip-info-box').setStyle('display','block');
			});
			$$('.ip-info')[0].getElement('.close').addEvent('click', function(){
					$$('.ip-info-box').setStyle('display','none');
			});
		}
		
		/**************************************/
		<? if (Sceon_Application::getId() == APP_EF): ?>
		new Cubix.Button($('btn-disable-reviews'), { onClick: function () {
			disable_popup.setTitle('Reason for disabling reviews'),
			disable_popup.load('<?= $this->baseUrl() ?>/members/disable-rev-com?act=review&user_id=' + $('member').getElement('input[name=user_id]').get('value'), disable_popup.open);
		}, icon: 'delete', caption: 'Disable Reviews' });
	
		new Cubix.Button($('btn-disable-comments'), { onClick: function () {
			disable_popup.setTitle('Reason for disabling comments'),
			disable_popup.load('<?= $this->baseUrl() ?>/members/disable-rev-com?act=comment&user_id=' + $('member').getElement('input[name=user_id]').get('value'), disable_popup.open);
		}, icon: 'delete', caption: 'Disable Comments' });
	
		new Cubix.Button($('btn-disable-reviews-comments'), { onClick: function () {
			disable_popup.setTitle('Reason for disabling reviews / comments'),
			disable_popup.load('<?= $this->baseUrl() ?>/members/disable-rev-com?act=review_comment&user_id=' + $('member').getElement('input[name=user_id]').get('value'), disable_popup.open);
		}, icon: 'delete', caption: 'Disable Reviews / Comments' });
						
		var disable_popup = new Cubix.Popup.Ajax({
			abar: [
				{ caption: 'Disable', icon: 'delete', action: function () {
					new Request({
						url: "<?= $this->baseUrl() ?>/members/disable-rev-com",
						method: 'post',
						data: {
							'user_id': $('dis_rev_com').getElement('input[name=d_user_id]').get('value'),
							'act': $('dis_rev_com').getElement('input[name=d_act]').get('value'),
							'disable_type': $$('input[name=d_disable_type]:checked')[0].get('value'),
							'reason': $('dis_rev_com').getElement('textarea[name=d_reason]').get('value')
						},
						onSuccess: function (resp) {
							resp = JSON.decode(resp);

							if (resp.status == 'error')
								$('reason').getParent().addClass('error');
							else if (resp.status == 'success')
								disable_popup.close();
						}
					}).send();
				} }
			],
			width: 400,
			zIndex: function () { return Cubix.Popup.zIndex + 50 }
		});
		<? endif; ?>
		/********************************************/
	});
	
	if($$('.p-member'))
	{
		$$('.p-member').addEvent('click', function (e) {
			var self = this;
			e.stop();

			MemberPopup.setTitle('Edit Member');
			MemberPopup.load('<?= $this->baseUrl() ?>/members/edit?id=' + self.get('rel'), function () {
				this.open();
			});
		});
	}
});

function clearForm()
{
	$('f-member').set('value', '');
	$('f-escort').set('value', '');
	$('f-agency').set('value', '');
}

function submitForm()
{
	$('myForm').set('action', '/dashboard/cookie-dublicities?');
	$('myForm').submit();
}

</script>

<style type="text/css">
	.list { margin-left: 20px; margin-bottom: 10px }
	.indent { margin-bottom: 10px }
	.date { font-size: 1.2em; font-weight: bold; display: block }
	.paging { padding: 5px; background: #eee; border: 1px solid #ccc; margin-top: 10px }
	.paging span { background: #fff }
	.paging a, .paging span { float: left; text-align: center; width: 20px; height: 20px; line-height: 20px; margin-right: 10px }
	.u_type { font-weight: bold; font-style: italic; }
	.content { font-size: 13px; }
</style>

<div class="form-common gray c-filter-form mb20">
	<fieldset class="inner">
		<form action="" method="get" id="myForm">
			<div class="inner">
				<label for="f-member">Member</label>
				<input id="f-member" class="txt w13" type="text" value="<?= $_GET['member'] ?>" name="member" />
			</div>
			<div class="inner">
				<label for="f-escort">Escort</label>
				<input id="f-escort" class="txt w13" type="text" value="<?= $_GET['escort'] ?>" name="escort" />
			</div>
			<div class="inner">
				<label for="f-agency">Agency</label>
				<input id="f-agency" class="txt w13" type="text" value="<?= $_GET['agency'] ?>" name="agency" />
			</div>
			
			<a id="btn-refresh"></a>
			<a id="btn-reset"></a>
		</form>
	</fieldset>
	
	<div class="clear"></div>
</div>

<div class="clear"></div>

<? $list = Model_CookieDublicities::getList($this->params, $this->page, $this->limit, $count); ?>

<? if ($list): ?>
	<?
	$e = 'escort';

	if (in_array(Sceon_Application::getId(), array(APP_EF, APP_EI)))
		$e = 'accompagnatrici';
	?>
	<? foreach ($list as $itm): ?>
		<? 
		$parent_user_id = $itm['parent_user_id'];
		unset($itm['parent_user_id']);
		$parent_user_date = $itm['parent_user_created'];
		unset($itm['parent_user_created']);
		$parent_user_type = $itm['parent_user_type'];
		unset($itm['parent_user_type']);
		$parent_user_name = $itm['parent_user_name'];
		unset($itm['parent_user_name']);
		$parent_user_escort_id = $itm['parent_user_escort_id'];
		unset($itm['parent_user_escort_id']);
		$parent_user_agency_id = $itm['parent_user_agency_id'];
		unset($itm['parent_user_agency_id']);
		$parent_user_agency_slug = $itm['parent_user_agency_slug'];
		unset($itm['parent_user_agency_slug']);
		$parent_user_status = $itm['parent_user_status'];
		unset($itm['parent_user_status']);
		?>
		<? $a = array(); ?>
		<div class="indent">
			[<?= date('d F, Y H:i:s', strtotime($parent_user_date)) ?>] 
			<span class="u_type"><?= ucfirst($parent_user_type) ?></span>: 
			<? 
			if ($parent_user_type == 'escort')
			{
				$link = '<a href="http://www.' . Sceon_Application::getById()->host . '/' . $e . '/' . $parent_user_name . '-' . $parent_user_escort_id . '?f=b" target="_blank">' . $parent_user_name . ' (' . $parent_user_escort_id . ')</a>';
			}
			elseif ($parent_user_type == 'agency')
			{
				$link = '<a href="http://www.' . Sceon_Application::getById()->host . '/agency/' . $parent_user_agency_slug . '-' . $parent_user_agency_id . '" target="_blank">' . $parent_user_name . '</a>';
			}
			else
			{
				$c = '';
				if ($parent_user_status == USER_STATUS_DISABLED) $c = ' red';

				$link = '<a href="#" rel="' . $parent_user_id . '" class="p-member' . $c . '">' .  $parent_user_name . '</a>';
			}

			?>
			<?= $link ?>
			<div class="list">
				<? if (count($itm['items']) > 0): ?>
					<? foreach ($itm['items'] as $us): ?>
						<? 
						if ($us->user_type == 'escort') 
							$a['escort'][] = array('showname' => $us->name, 'id' => $us->escort_id);
						elseif ($us->user_type == 'agency')
							$a['agency'][] = $us->name;
						else
							$a['member'][] = array('username' => $us->name, 'id' => $us->user_id, 'status' => $us->status);
						?>
					<? endforeach; ?>

					<? if ($a['escort']): ?>
						<span class="u_type"><?= 'Escort' ?></span>: 
						<? foreach ($a['escort'] as $v): ?>
							<a href="http://www.<?= Sceon_Application::getById()->host ?>/<?= $e ?>/<?= $v['showname'] ?>-<?= $v['id'] ?>?f=b" target="_blank"><?= $v['showname'] ?> (<?= $v['id'] ?>)</a>,
						<? endforeach; ?><br/>
					<? endif; ?>

					<? if ($a['agency']): ?>
						<span class="u_type"><?= 'Agency' ?></span>: 
						<? foreach ($a['agency'] as $v): ?>
							<?= $v ?>, 
						<? endforeach; ?><br/>
					<? endif; ?>

					<? if ($a['member']): ?>
						<span class="u_type"><?= 'Member' ?></span>: 
						<? foreach ($a['member'] as $v): ?>
							<a href="#" rel="<?= $v['id'] ?>" class="p-member<? if ($v['status'] == USER_STATUS_DISABLED): ?> red<? endif; ?>"><?= $v['username'] ?></a>, 
						<? endforeach; ?><br/>
					<? endif; ?>
				<? else: ?>
					<?= 'This user has not cookie dublicity' ?>
				<? endif; ?>
			</div>
		</div>
	<? endforeach; ?>


	<? $pages = ceil($count / $this->limit); ?>
	<? if ($pages > 1): ?>
		<div class="paging">
		<? for ( $i = 1; $i <= $pages; $i++ ): ?>
			<? if ( $this->page == $i ): ?>
			<span><?= $i ?></span>
			<? else: ?>
			<a href="?<?= $_SERVER['QUERY_STRING'] ?>&page=<?= $i ?>"><?= $i ?></a>
			<? endif ?>
		<? endfor ?>
			<div class="clear"></div>
		</div>
	<? endif; ?>

<? else: ?>
	nothing found...
<? endif; ?>